# collada.light.BoundPointLight

class `collada.light.``BoundPointLight`(plight, matrix)

  Bases: `collada.light.BoundLight`

  Point light bound to a scene with transformation. This gets created when a light is instantiated in a scene. Do not create this manually.

  `__init__`(plight, matrix)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(plight, matrix) | Initialize self.

  `position` = None

    Numpy array of length 3 representing the position of the light in the scene

  `color` = None

    Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light

  `zfar` = None

    Distance to the far clipping plane

  `original` = None

    The original `collada.light.PointLight` this is bound to